<< capdRedHom`

(** Complex from list of simplices **)
simplices = {{0, 1, 2}, {0, 1, 3}, {0, 4}, {1, 4}};
Print[RedHomSimplicialBettiNumbersOverZ[simplices]];
Print[RedHomSimplicialBettiNumbersOverZ2[simplices]];
Print[RedHomSimplicialBettiNumbersOverZp[simplices, 3]];

Print[RedHomSimplicialHomologyOverZ[simplices]];
Print[RedHomSimplicialHomologyOverZ2[simplices]];
Print[RedHomSimplicialHomologyOverZp[simplices, 3]];






(**Topological sphere.Points coordinates.**)
simplices = {{2, 3, 4}, {1, 2, 3}, {1, 3, 4}, {1, 2, 4}};
Print[RedHomSimplicialBettiNumbersOverZ[simplices]];

(**Visualization.We need to have points and create a simplex from an \
abstract simplex.**)

points = {{0, 0, 0}, {1, 0, 0}, {0, 2, 0}, {0, 0, 3}};
SimplexCoordinate[simplex_] :=
  Map[Function[p, points[[p]]], simplex];
Graphics3D[Polygon[Map[SimplexCoordinate, simplices]]]
