import sys
import capdRedHom

def read_diagram(fn):
    with open(fn) as file:
        diagram = capdRedHom.persistence.Diagram.read_from(file)
    return diagram


def main(argv=sys.argv):
    use_inf = bool(argv[1])
    diagram_1 = read_diagram(argv[2])
    diagram_2 = read_diagram(argv[3])

    if capdRedHom.persistence.WassersteinDistance.enabled():
        distance = capdRedHom.persistence.WassersteinDistance(diagram_1, diagram_2, use_inf)
        dist = distance()
        print dist
    else:
        print "Not enabled"

if __name__ == '__main__':
    main(sys.argv)
