/////////////////////////////////////////////////////////////////////////////
/// @file ComplexDescriptors.h
///
/// @author Mateusz Juda <mateusz.juda@{ii.uj.edu.pl,gmail.com}>
///
/// @date 2013-12-03
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2013 by the CAPD::RedHom Group.
//
// This file constitutes a part of the CAPD::RedHom library,
// distributed under the terms of the GNU General Public License.
// Consult  http://redhom.ii.edu.pl/ for details.

#ifndef CAPD_FILE_COMPLEXDESCRIPTORS_H
#define CAPD_FILE_COMPLEXDESCRIPTORS_H

#include <capd/apiRedHom/AnyWrapper.h>
#include <capd/complex/ComplexSelector.h>

#include <boost/mpl/transform.hpp>
#include <boost/mpl/vector.hpp>

namespace
{

  // template<typename ComplexSelectorT>
  // struct _TypeDescriptor {
  //   typedef ComplexSelectorT ComplexSelector;
  //   typedef typename ComplexSelector::type Type;

  //   static const int type_id = ComplexSelector::TYPE_ID;

  //   static bool match(const capd::apiRedHom::AnyWrapper& w)
  //   {
  //     return w.type_id == type_id;
  //   }

  // };

  // template<typename Complexes>
  // struct Descriptors:
  //   boost::mpl::transform<
  //   Complexes,
  //   boost::mpl::protect<boost::mpl::bind<boost::mpl::quote1<_TypeDescriptor>, boost::mpl::_1> >
  //   >::type
  // {};

  // struct CubicalComplexDescriptors: Descriptors<capd::complex::CubicalComplexes>
  // {
  //   typedef capd::complex::CubicalComplexes::Type Type;

  //   static size_t id(size_t dim, Type type)
  //   {
  //     return capd::complex::CubicalComplexes::id(dim, type);
  //   }
  // };

  // typedef Descriptors<capd::complex::SimplicialComplexes> SimplicialComplexDescriptors;
  // typedef Descriptors<capd::complex::GeneralizedComplexes> GeneralizedComplexDescriptors;

  // typedef capd::complex::FlatMerge<boost::mpl::vector<CubicalComplexDescriptors,
  //                                      SimplicialComplexDescriptors,
  //                                      GeneralizedComplexDescriptors> >
  //   ComplexDescriptors;

}

#endif // CAPD_FILE_COMPLEXDESCRIPTORS_H
