/////////////////////////////////////////////////////////////////////////////
/// @file ComputeHomologySignature_Simplicial
///
/// @author Mateusz Juda <mateusz.juda@{ii.uj.edu.pl,gmail.com}>
///
/// @date 2014-07-28
/////////////////////////////////////////////////////////////////////////////
//
// Copyright (C) 2000-2014 by the CAPD Group.
//
// This file constitutes a part of the CAPD library (capdRedHom),
// distributed under the terms of the GNU General Public License.
// Consult http://capd.ii.uj.edu.pl and  http://redhom.ii.edu.pl/ for details.
/////////////////////////////////////////////////////////////////////////////

#include "ComputeHomologySignature_Helper.h"
#include <capd/complex/SimplexSComplex.hpp>
#include <capd/complex/ComplexSelector.h>

namespace capd
{
  namespace complex
  {

    INSTANCE(SimplicialComplexes);
  }
}
