/////////////////////////////////////////////////////////////////////////////
/// @file ComputeHomologyOrchestrator_Cubical
///
/// @author Mateusz Juda <mateusz.juda@{ii.uj.edu.pl,gmail.com}>
///
/// @date 2014-07-28
/////////////////////////////////////////////////////////////////////////////
//
// Copyright (C) 2000-2014 by the CAPD Group.
//
// This file constitutes a part of the CAPD library (capdRedHom),
// distributed under the terms of the GNU General Public License.
// Consult http://capd.ii.uj.edu.pl and  http://redhom.ii.edu.pl/ for details.
/////////////////////////////////////////////////////////////////////////////

#define USE_PRECOMPILED_CAPDREDHOM_COMPLEX_CUBSCOMPLEX_HPP

#include "ComputeHomologyOrchestrator_Helper.h"
#include <capd/complex/CubSComplex.h>

namespace capd
{
  namespace complex
  {
    INSTANCE(CubicalComplexes);
  }
}
