#!/bin/bash

set -e


apiRedHom_mathematica_build=${abs_builddir}/../../programs/apiRedHom-mathematica
mathematica_bindings=$(echo ${apiRedHom_mathematica_build}/capdRedHomM-*.zip)

if ! [ -e "${mathematica_bindings}" ]; then
    mathematica_bindings=$(echo ${apiRedHom_mathematica_build}/capdRedHomM-*.tar.gz)
fi

${MATHEMATICA_SCRIPT} -script $srcdir/install.m ${mathematica_bindings}
${MATHEMATICA_SCRIPT} -script $srcdir/simplicial_1.m
${MATHEMATICA_SCRIPT} -script $srcdir/cubical_1.m
${MATHEMATICA_SCRIPT} -script $srcdir/point_cloud_persistence.m
${MATHEMATICA_SCRIPT} -script $srcdir/uninstall.m
