#!/usr/bin/env sage -python

import sage.all as sage
import sys

def write_sage_simplicial_complex(name):
#    complex = getattr(sage.simplicial_complexes, name)()

#    complex = getattr(sage.simplicial_complexes, name)()
    graph = sage.graphs.RandomGNP(100, .4)
    complex = graph.clique_complex()
    name = name

    with open(name.lower() + '.dat', 'wb') as output:
        for f in complex.facets():
            output.write(' '.join(map(str, f)))
            output.write('\n')


if __name__ == '__main__':
    write_sage_simplicial_complex(sys.argv[1])
