/////////////////////////////////////////////////////////////////////////////
/// @file CubSComplex
///
/// @author Mateusz Juda <mateusz.juda@{ii.uj.edu.pl,gmail.com}>
///
/// @date 2015-01-17
/////////////////////////////////////////////////////////////////////////////
//
// Copyright (C) 2000-2015 by the CAPD Group.
//
// This file constitutes a part of the CAPD library (capdRedHom),
// distributed under the terms of the GNU General Public License.
// Consult http://capd.ii.uj.edu.pl and  http://redhom.ii.edu.pl/ for details.
/////////////////////////////////////////////////////////////////////////////

#define USE_PRECOMPILED_CAPDREDHOM_BITSET_EUCLBITSETT_HPP
#include <capd/complex/CubSComplex.hpp>

namespace capd
{
  namespace complex
  {

#define INSTANCE(dim) \
    template class CubSComplex<dim>; \

INSTANCE(2);
INSTANCE(3);
INSTANCE(4);

  }
}
