/////////////////////////////////////////////////////////////////////////////
/// @file CubCellSetT
///
/// @author Mateusz Juda <mateusz.juda@{ii.uj.edu.pl,gmail.com}>
///
/// @date 2015-01-17
/////////////////////////////////////////////////////////////////////////////
//
// Copyright (C) 2000-2015 by the CAPD Group.
//
// This file constitutes a part of the CAPD library (capdRedHom),
// distributed under the terms of the GNU General Public License.
// Consult http://capd.ii.uj.edu.pl and  http://redhom.ii.edu.pl/ for details.
/////////////////////////////////////////////////////////////////////////////

#define USE_PRECOMPILED_CAPDREDHOM_BITSET_EUCLBITSETT_HPP
#include <capd/cubSet/CubCellSetT.hpp>
#include <capd/bitSet/BitmapT.h>
#include <capd/bitSet/EuclBitSetT.h>

#define INSTANCE(dim)                                                \
  template class CubCellSetT<EuclBitSetT<BitSetT<BitmapT<unsigned long> >, dim> >;

INSTANCE(2);
INSTANCE(3);
INSTANCE(4);
INSTANCE(5);
INSTANCE(6);
INSTANCE(7);
INSTANCE(8);
INSTANCE(9);
INSTANCE(10);
